import sys
import re
import math

def line_number(stringname, lines):
	nline=-1
	for i in range(0,len(lines)):
		if(re.search(stringname,lines[i])):
			nline=i
	return nline

def string_to_1double(stringname, lines):
	nline = line_number(stringname, lines)
	line = lines[nline]
	done = False
	counter=1
	while done==False:
		if re.search("[\-|a-z]",lines[nline+counter]):
			done=True
		else:
			line = line+lines[nline+counter]
		counter=counter+1
		if(nline+counter==len(lines)):
			done=True

	tstart=re.search("[\-|0-9]",line)
	line =line[tstart.start(0):len(line)]
	tend=re.search(" |\n",line)
	odouble=float(line[0:tend.end(0)])
	line=line[tend.end(0):len(line)]
	return odouble

def string_to_1int(stringname, lines):
	nline = line_number(stringname, lines)
	line = lines[nline]
	done = False
	counter=1
	while done==False:
		if re.search("[a-z]",lines[nline+counter]):
			done=True
		else:
			line = line+lines[nline+counter]
		counter=counter+1

		if(nline+counter==len(lines)):
			done=True

	tstart=re.search("[\-|0-9]",line)
	line =line[tstart.start(0):len(line)]
	tend=re.search(" |\n",line)
	oint=int(line[0:tend.end(0)])
	line=line[tend.end(0):len(line)]
	return oint

def string_to_double(stringname, n_number, odouble, lines):
	nline = line_number(stringname, lines)
	line = lines[nline]
	done = False
	counter=1
	while done==False:
		if re.search("[a-z]",lines[nline+counter]):
			done=True
		else:
			line = line+lines[nline+counter]
		counter=counter+1
		if(nline+counter==len(lines)):
			done=True

	for i in range(0,n_number):
		tstart=re.search("[\-|0-9]",line)
		line =line[tstart.start(0):len(line)]
		tend=re.search(" |\n",line)
		odouble[i]=float(line[0:tend.end(0)])
		line=line[tend.end(0):len(line)]

def string_to_int(stringname, n_number, oint, lines):
	nline = line_number(stringname, lines)
	line = lines[nline]
	done = False
	counter=1
	while done==False:
		if re.search("[a-z]",lines[nline+counter]):
			done=True
		else:
			line = line+lines[nline+counter]
		counter=counter+1

		if(nline+counter==len(lines)):
			done=True

	for i in range(0,n_number):
		tstart=re.search("[\-|0-9]",line)
		line =line[tstart.start(0):len(line)]
		tend=re.search(" |\n",line)
		oint[i]=int(line[0:tend.end(0)])
		line=line[tend.end(0):len(line)]


def number_to_atom(number):
	AtomsNames={}
	AtomsNames[1]="H"
	AtomsNames[2]="He"
	AtomsNames[3]="Li"
	AtomsNames[4]="Be"
	AtomsNames[5]="B"
	AtomsNames[6]="C"
	AtomsNames[7]="N"
	AtomsNames[8]="O"
	AtomsNames[9]="F"
	AtomsNames[10]="Ne"
	AtomsNames[11]="Na"
	AtomsNames[12]="Mg"
	AtomsNames[13]="Al"
	AtomsNames[14]="Si"
	AtomsNames[15]="P"
	AtomsNames[16]="S"
	AtomsNames[17]="Cl"
	AtomsNames[18]="Ar"
	AtomsNames[19]="K"
	AtomsNames[20]="Ca"
	AtomsNames[21]="Sc"
	AtomsNames[22]="Ti"	
	AtomsNames[23]="V"
	AtomsNames[24]="Cr"
	AtomsNames[25]="Mn"
	AtomsNames[26]="Fe"
	AtomsNames[27]="Co"
	AtomsNames[28]="Ni"	
	AtomsNames[29]="Cu"
	AtomsNames[30]="Zn"	
	AtomsNames[31]="Ga"
	AtomsNames[32]="Ge"
	AtomsNames[33]="As"
	AtomsNames[34]="Se"
	AtomsNames[35]="Br"
	AtomsNames[36]="Kr"
	AtomsNames[37]="Rb"
	AtomsNames[38]="Sr"
	AtomsNames[39]="Y"
	AtomsNames[40]="Zr"
	AtomsNames[41]="Nb"
	AtomsNames[42]="Mo"
	AtomsNames[43]="Tc"
	AtomsNames[44]="Ru"
	AtomsNames[45]="Rh"
	AtomsNames[46]="Pd"
	AtomsNames[47]="Ag"
	AtomsNames[48]="Cd"
	AtomsNames[49]="In"
	AtomsNames[50]="Sn"
	AtomsNames[51]="Sb"
	AtomsNames[52]="Te"
	AtomsNames[53]="I"
	AtomsNames[54]="Xe"
	AtomsNames[55]="Cs"
	AtomsNames[56]="Ba"
	AtomsNames[57]="La"
	AtomsNames[58]="Ce"
	AtomsNames[59]="Pr"
	AtomsNames[60]="Nd"
	AtomsNames[61]="Pm"
	AtomsNames[62]="Sm"
	AtomsNames[63]="Eu"
	AtomsNames[64]="Gd"
	AtomsNames[65]="Tb"
	AtomsNames[66]="Dy"
	AtomsNames[67]="Ho"
	AtomsNames[68]="Er"
	AtomsNames[69]="Tm"
	AtomsNames[70]="Yb"
	AtomsNames[71]="Lu"
	AtomsNames[72]="Hf"
	AtomsNames[73]="Ta"
	AtomsNames[74]="W"
	AtomsNames[75]="Re"
	AtomsNames[76]="Os"
	AtomsNames[77]="Ir"
	AtomsNames[78]="Pt"
	AtomsNames[79]="Au"
	AtomsNames[80]="Hg"
	AtomsNames[81]="Ti"
	AtomsNames[82]="Pb"
	AtomsNames[83]="Bi"
	AtomsNames[84]="Po"
	AtomsNames[85]="At"
	AtomsNames[86]="Rn"
	AtomsNames[87]="Fr"
	AtomsNames[88]="Ra"
	AtomsNames[89]="Ac"
	AtomsNames[90]="Th"	
	AtomsNames[91]="Pa"
	AtomsNames[92]="U"
	AtomsNames[93]="Np"
	AtomsNames[94]="Pu"
	AtomsNames[95]="Am"
	AtomsNames[96]="Cm"
	AtomsNames[97]="Bk"
	AtomsNames[98]="Cf"
	AtomsNames[99]="Es"
	AtomsNames[100]="Fm"
	AtomsNames[101]="101"
	AtomsNames[102]="No"
	AtomsNames[103]="Lr"
	AtomsNames[104]="NN"
	return AtomsNames[number]
